<?php

/**
 * @file
 *
 * Course API.
 *
 * @author David J. Malan <malan@harvard.edu>
 */

require_once('Database.php');
require_once('Instructor.php');

class Course
{
    /**
     * Returns course's instructor(s).
     *
     * @return array
     */
    public function instructors()
    {
        $instructors = array();
        $dbh = Database::getInstance();
        $sth = $dbh->prepare('SELECT * FROM instructors ' .
         'WHERE id IN (SELECT instructor_id FROM course_instructors WHERE cat_num = :cat_num)');
        $sth->execute(array('cat_num' => $this->cat_num));
        while ($row = $sth->fetch(PDO::FETCH_ASSOC))
            $instructors[] = new Instructor($row['id'], $row['first'], $row['last']);
        return $instructors;
    }
}

?>
